Package org.apache.sysds.runtime.instructions.cp

# Class EinsumCPInstruction

java.lang.Object
org.apache.sysds.runtime.instructions.Instruction
org.apache.sysds.runtime.instructions.cp.CPInstruction
org.apache.sysds.runtime.instructions.cp.BuiltinNaryCPInstruction
org.apache.sysds.runtime.instructions.cp.EinsumCPInstruction

public class EinsumCPInstruction extends BuiltinNaryCPInstruction

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.cp.CPInstruction

`CPInstruction.CPType`

## Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.Instruction

`Instruction.IType`

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`eqStr`
`static final boolean`
`FORCE_CELL_TPL`
`static final boolean`
`FUSE_OUTER_MULTIPLY`
`static final boolean`
`FUSE_OUTER_MULTIPLY_EXCEEDS_L2_CACHE_CHECK`
`static final boolean`
`PRINT_TRACE`

### Fields inherited from class org.apache.sysds.runtime.instructions.Instruction

`DATATYPE_PREFIX, FEDERATED_INST_PREFIX, GPU_INST_PREFIX, INSTRUCTION_DELIM, LITERAL_PREFIX, OOC_INST_PREFIX, OPERAND_DELIM, SP_INST_PREFIX, VALUETYPE_PREFIX`

## Constructor Summary

Constructors
Constructor
Description
`EinsumCPInstruction(Operator op, String opcode, String istr, CPOperand out, CPOperand... inputs)`

## Method Summary

Modifier and Type
Method
Description
`static void`
`ensureMatrixBlockColumnVector(MatrixBlock mb)`
`static void`
`ensureMatrixBlockRowVector(MatrixBlock mb)`
`CPOperand[]`
`getInputs()`
`void`
`processInstruction(ExecutionContext ec)`
This method should be used to execute the instruction.

### Methods inherited from class org.apache.sysds.runtime.instructions.cp.BuiltinNaryCPInstruction

`getOutput, parseInstruction`

### Methods inherited from class org.apache.sysds.runtime.instructions.cp.CPInstruction

`getCPInstructionType, getGraphString, getType, postprocessInstruction, preprocessInstruction, requiresLabelUpdate, updateLabels`

### Methods inherited from class org.apache.sysds.runtime.instructions.Instruction

`getBeginColumn, getBeginLine, getEndColumn, getEndLine, getExtendedOpcode, getFilename, getInstID, getInstructionString, getLineNum, getOpcode, getOperator, printMe, setInstID, setLocation, setLocation, setLocation, setLocation, toString, updateInstructionThreadID`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### FORCE_CELL_TPL

public static final boolean FORCE_CELL_TPL

See Also:
  - Constant Field Values

### FUSE_OUTER_MULTIPLY

public static final boolean FUSE_OUTER_MULTIPLY

See Also:
  - Constant Field Values

### FUSE_OUTER_MULTIPLY_EXCEEDS_L2_CACHE_CHECK

public static final boolean FUSE_OUTER_MULTIPLY_EXCEEDS_L2_CACHE_CHECK

See Also:
  - Constant Field Values

### PRINT_TRACE

public static final boolean PRINT_TRACE

See Also:
  - Constant Field Values

### eqStr

public String eqStr

## Constructor Details

### EinsumCPInstruction

public EinsumCPInstruction(Operator op, String opcode, String istr, CPOperand out, CPOperand... inputs)

## Method Details

### processInstruction

public void processInstruction(ExecutionContext ec)
Description copied from class: `Instruction`
This method should be used to execute the instruction.

Specified by:
  `processInstruction` in class `CPInstruction`
Parameters:
  `ec` - execution context

### ensureMatrixBlockColumnVector

public static void ensureMatrixBlockColumnVector(MatrixBlock mb)

### ensureMatrixBlockRowVector

public static void ensureMatrixBlockRowVector(MatrixBlock mb)

### getInputs

public CPOperand[] getInputs()

Overrides:
  `getInputs` in class `BuiltinNaryCPInstruction`